Loading...
Searching...
No Matches
QXmppBitsOfBinaryIq Class Reference
Inheritance diagram for QXmppBitsOfBinaryIq:
[legend]
Collaboration diagram for QXmppBitsOfBinaryIq:
[legend]

## Static Public Member Functions

static bool | isBitsOfBinaryIq (const QDomElement &element)
Static Public Member Functions inherited from QXmppBitsOfBinaryData
static QXmppBitsOfBinaryData | fromByteArray (QByteArray data)
static bool | isBitsOfBinaryData (const QDomElement &element)

## Additional Inherited Members

Public Types inherited from QXmppIq
enum | Type { Error = 0 , Get , Set , Result }
| This enum describes the type of IQ. More...
Public Member Functions inherited from QXmppIq
| QXmppIq (QXmppIq::Type type=QXmppIq::Get)
| QXmppIq (const QXmppIq &other)
| Constructs a copy of other.
| QXmppIq (QXmppIq &&)
| Default move-constructor.
QXmppIq & | operator= (const QXmppIq &other)
| Assigns other to this IQ.
QXmppIq & | operator= (QXmppIq &&)
| Move-assignment operator.
QXmppIq::Type | type () const
void | setType (QXmppIq::Type)
bool | isXmppStanza () const override
Public Member Functions inherited from QXmppStanza
| QXmppStanza (const QString &from=QString(), const QString &to=QString())
| QXmppStanza (const QXmppStanza &other)
| Constructs a copy of other.
| QXmppStanza (QXmppStanza &&)
| Move constructor.
virtual | ~QXmppStanza ()
| Destroys a QXmppStanza.
QXmppStanza & | operator= (const QXmppStanza &other)
| Assigns other to this stanza.
QXmppStanza & | operator= (QXmppStanza &&)
| Move-assignment operator.
QString | to () const
void | setTo (const QString &)
QString | from () const
void | setFrom (const QString &)
QString | id () const
void | setId (const QString &)
QString | lang () const
void | setLang (const QString &)
QXmppStanza::Error | error () const
std::optional< Error > | errorOptional () const
void | setError (const QXmppStanza::Error &error)
void | setError (const std::optional< Error > &error)
QXmppElementList | extensions () const
void | setExtensions (const QXmppElementList &elements)
QList< QXmppExtendedAddress > | extendedAddresses () const
void | setExtendedAddresses (const QList< QXmppExtendedAddress > &extendedAddresses)
std::optional< QXmppE2eeMetadata > | e2eeMetadata () const
void | setE2eeMetadata (const std::optional< QXmppE2eeMetadata > &e2eeMetadata)
Public Member Functions inherited from QXmppNonza
virtual void | parse (const QDomElement &)=0
virtual void | toXml (QXmlStreamWriter *writer) const =0
Public Member Functions inherited from QXmppBitsOfBinaryData
| QXmppBitsOfBinaryData ()
| QXmppBitsOfBinaryData (const QXmppBitsOfBinaryData &)
| Default copy-constructor.
| QXmppBitsOfBinaryData (QXmppBitsOfBinaryData &&)
| Default move-constructor.
| ~QXmppBitsOfBinaryData ()
| Default destructor.
QXmppBitsOfBinaryData & | operator= (const QXmppBitsOfBinaryData &)
| Default assignment operator.
QXmppBitsOfBinaryData & | operator= (QXmppBitsOfBinaryData &&)
| Default move-assignment operator.
QXmppBitsOfBinaryContentId | cid () const
void | setCid (const QXmppBitsOfBinaryContentId &cid)
int | maxAge () const
void | setMaxAge (int maxAge)
QMimeType | contentType () const
void | setContentType (const QMimeType &contentType)
QByteArray | data () const
void | setData (const QByteArray &data)
bool | operator== (const QXmppBitsOfBinaryData &other) const

## Detailed Description

QXmppBitsOfBinaryIq represents a XEP-0231: Bits of Binary IQ to request and transmit Bits of Binary data elements.

Since
  QXmpp 1.2

## Member Function Documentation

## isBitsOfBinaryIq()

bool QXmppBitsOfBinaryIq::isBitsOfBinaryIq | ( | const QDomElement & | element | ) |

static

Returns true, if `element` is a XEP-0231: Bits of Binary IQ

Note
  This may also return true, if the IQ is not a Bits of Binary IQ in first place, but only contains a Bits of Binary data element.

The documentation for this class was generated from the following files:

- QXmppBitsOfBinaryIq.h
- QXmppBitsOfBinaryIq.cpp